kylin-calculator (1.2.0.0-ok1) yangtze; urgency=medium

  * build for openKylin

 -- Xie Wei <xiewei@kylinos.cn>  Wed, 22 Jun 2022 18:40:18 +0800

kylin-calculator (1.2.0.0) v101; urgency=medium
  
   * BUG号 : 无
   * 需求号 : 13995 【计算器v1.2】SDK日志适配（非功能性需求）
   * 其他更改说明 : 无
   * 其他改动影响域 : 无
 -- huheng <huheng@kylinos.cn>  Wed, 08 Jun 2022 15:34:02 +0800

kylin-calculator (1.1.0~rc16) v101; urgency=medium
  
   * BUG号 : 无
   * 需求号 : 无
   * 其他更改说明 : 添加哈萨克文、柯尔克孜文、维吾尔语对应翻译文件
   * 其他改动影响域 : 无
 -- huheng <huheng@kylinos.cn>  Wed, 01 Jun 2022 11:48:43 +0800

kylin-calculator (1.1.0~rc15) v101; urgency=medium
  
   * BUG号 : 118111 【应用】【计算器】关闭特效模式仍有透明度样式，计算器应用应无透明度无毛玻璃效果
                         116411 【小插件】【计算器】鼠标悬浮在应用窗口右上角的最大化、最小化、关闭功能键的上方，无文字提示
                         115037 【开始菜单】【小插件】深色模式，计算器小插件和应用里切换计算器模式处显示不清
                         114918 【开始菜单】开始菜单左侧小插件-计算器插件下方为直角 
   * 需求号 : 无
   * 其他更改说明 : 无
   * 其他改动影响域 : 无
 -- huheng <huheng@kylinos.cn>  Fri, 27 May 2022 15:58:09 +0800

kylin-calculator (1.1.0~rc14) v101; urgency=medium
  
   * BUG号 : 116362 【小插件】【计算器】平板模式，竖屏切换回横屏，计算器小插件仅剩左上角显示在桌面上（其他插件显示正常）
   * 需求号 : 无
   * 其他更改说明 : 无
   * 其他改动影响域 : 无
 -- huheng <huheng@kylinos.cn>  Tue, 26 Apr 2022 11:33:09 +0800

kylin-calculator (1.1.0~rc13) v101; urgency=medium
  
   * BUG号 : 106826 【计算器】平板模式竖屏情况下，计算器界面显示不全（必现）
   * 需求号 : 无
   * 其他更改说明 : 无
   * 其他改动影响域 : 无
 -- huheng <huheng@kylinos.cn>  Wed, 20 Apr 2022 11:49:41 +0800

kylin-calculator (1.1.0~rc12) v101; urgency=medium
  
   * BUG号 : 108649 【计算器】汇率模式下一个货币选择页面打开时，在两个货币转换按钮间进行拖拽后打开另一个货币切换页面，出现页面重叠
                        113428 【计算器】负号运算计算器闪退
   * 需求号 : 无
   * 其他更改说明 : 无
   * 其他改动影响域 : 无
 -- huheng <huheng@kylinos.cn>  Thu, 31 Mar 2022 16:01:19 +0800

kylin-calculator (1.1.0~rc11) jammy; urgency=medium
  
   * BUG号 : 无
   * 需求号 : 无
   * 其他更改说明 : 修改rules文件，取消多线程编译
   * 其他改动影响域 : 无
 -- huheng <huheng@kylinos.cn>  Thu, 31 Mar 2022 16:01:19 +0800

kylin-calculator (1.1.0~rc11) v101; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他更改说明 : 横竖屏切换新增支持平板模式和pc模式的切换
   * 其他改动影响域 : 无
 -- huheng <huheng@kylinos.cn>  Fri, 11 Mar 2022 16:26:49 +0800

kylin-calculator (1.1.0~rc10) jammy; urgency=medium

  * BUG号 : 无
  * 需求号 : 无
  * 其他更改说明 : jammy解决编包依赖错误
  * 其他改动影响域 : 无

 -- huheng <huheng@kylinos.cn>  Tue, 08 Mar 2022 00:00:00 +0800

kylin-calculator (1.1.0~rc9) jammy; urgency=medium

  * BUG号 : 无
  * 需求号 : 无
  * 其他更改说明 : jammy最新代码传包
  * 其他改动影响域 : 无

 -- huheng <huheng@kylinos.cn>  Fri, 04 Mar 2022 00:00:00 +0800

kylin-calculator (1.1.0~rc9) v101; urgency=medium

  * BUG号 : 101053 【用户手册|计算器】手册中描述的内容与实际不一致
            101484 【计算器】程序员模式下负数按位取反结果异常
            101573 【计算器】程序员模式下负数循环移位功能异常
  * 需求号 : 无
  * 其他更改说明 : 无
  * 其他改动影响域 : 无

 -- huheng <huheng@kylinos.cn>  Wed, 05 Jan 2022 00:00:00 +0800

kylin-calculator (1.1.0~rc8) v101; urgency=medium
  
  * BUG号 : 99972 【计算器】【用户手册】打开计算器，点击F1键，弹出用手册后，显示异常
            100011 【计算器】【用户手册】英文模式下，计算器用户手册内容显示不正确
            100118 【计算器】【PTOF】使用减法运算，计算结果尾数有零的话，运算结果尾数的零消失
            100126 【计算器】科学计算模式下，sin、cos、tan运算结果不正确
            100127 【计算器】【PTOF】科学计算模式下，点击cos再点击tan按钮，计算器应用闪退
            100136 【PTOF】【计算器】标准模式下，计算器计算不正确
            100137 【计算器】【PTOF】科学模式下，输入12-20中的数，多次点击In按钮，计算器应用闪退
            100159 【计算器】输入177.1-187.09得到结果显示错误
            100226 【计算器】程序员模式WORD宽度下输入31次+/-后显示“输入过长”，但是二进制生效
            100320 【用户手册】【计算器】计算器打开后按F1弹出的帮助手册‘undefine’
            100330 【PTOF】【计算器】科学计算模式下，先后点击log和tan，计算器闪退
  * 需求号 : 无
  * 其他更改说明 : 无
  * 其他改动影响域 : 无

 -- huheng <huheng@kylinos.cn>  Tue, 28 Dec 2021 00:00:00 +0800

kylin-calculator (1.1.0~rc7) v101; urgency=medium
  
  * BUG号 : 96258 【蓝信】【反馈】打开计算机，输入177.1-187.09得到结果不正确
  * 需求号 : 无
  * 其他更改说明 : 无
  * 其他改动影响域 : 无

 -- huheng <huheng@kylinos.cn>  Fri, 24 Dec 2021 00:00:00 +0800

kylin-calculator (1.1.0~rc7) v101.hw; urgency=medium
  
  * BUG号 : 无 
  * 需求号 : 无
  * 其他更改说明 : 同步SP2解决编译问题
  * 其他改动影响域 : 无

 -- huheng <huheng@kylinos.cn>  Wed, 22 Dec 2021 00:00:00 +0800

kylin-calculator (1.1.0~rc7) v101; urgency=medium

  * BUG号 : 无
  * 需求号 : 无
  * 其他更改说明 : 横竖屏切换新增支持平板模式和pc模式的切换
  * 其他改动影响域 : 无

 -- zhaoyuzhen <zhaoyuzhen@kylinos.cn>  Tue, 21 Dec 2021 00:00:00 +0800

kylin-calculator (1.1.0~rc6) v101.hw; urgency=medium

  * BUG号 : 95113 【计算器】【用户手册】计算器用户手册没有显示
            96848 【计算器】点击帮助打开用户手册显示空白
            95300 【用户手册】用户手册中无计算器
            96258 【蓝信】【反馈】打开计算机，输入177.1-187.09得到结果不正确
            96904 【PTOF】【计算器】【用例230249】英文系统下，计算器程序员模式下displayBinar显示不全
            96986 【计算器】标准模式下，计算器计算错误
            96998 【用例204042】【计算器】程序员模式下连续快速点击界面所有按钮，计算器闪退
            97001 【用例204073】【计算器】在QWORD宽度下进行正负计算，计算结果不正确
            98601 【用例204058】【计算器-程序员】WORD宽度下输入31次+/-后显示“输入过长”，但是第31次的运算依旧生效
  * 需求号 : 无
  * 其他更改说明 : 无
  * 其他改动影响域 : 无

 -- huheng <huheng@kylinos.cn>  Tue, 21 Dec 2021 00:00:00 +0800

kylin-calculator (1.1.0~rc5) v101; urgency=medium

  * BUG号 : 94310 【计算器】【程序员模式】ASCII按钮显示为ASCLL
  * 需求号 : 无
  * 其他更改说明 : 无
  * 其他改动影响域 : 无

 -- huheng <huheng@kylinos.cn>  Mon, 29 Nov 2021 00:00:00 +0800

kylin-calculator (1.1.0~rc4) v101; urgency=medium

  * BUG号 : 91269 【计算器】【用例204037】十进制127转Unicode编码后是“..”
            82602 【计算器】标题和关于界面字体未跟随系统字体变化
            91274 【计算器】【用例204041】切换数据宽度为WORD和BYTE格式后，数值变为0
            91412 【计算器】【用例204048】使用~运算，组合表达式格式错误
            91291 【计算器】 加法后输入一个括号，再点击两次后括号，应用闪退
            91298 【计算器】 负号运算错误
            91312 【计算器】【用例204044】使用~运算十六进制数5A，结果为0
            91328 【计算器】【用例204045】在BYTE宽度下进行算数及逻辑位移运算，退回后重新输入，运算结果错误
            91369 【计算器】【用例204046】ROR运算结果错误
            91400 【计算器】【用例204047】或非NOR的计算结果错误
            91422 【计算器】 输入过长后删除输入的数字，界面上仍有“输入过长”字样且无法再次输入和计算结果
            91426 【计算器】【用例204053】在WORD宽度下进行逻辑位移运算，运算结果错误
            91431 【计算器】 关于中的版本号跟实际不符
            91483 【计算器】【用例87709】程序员模块不支持复制粘贴
            91614 【计算器】【用例204060】【需求5391】数据宽度为DWORD时，十六进制转十进制的结果错误
            91655 【计算器】【用例204063】【需求5391】数据宽度为DWORD，八进制转十进制结果错误
  * 需求号: 9803 【计算器】【程序员模式】建议程序员模式添加回退按钮
            60965 【麒麟计算器】UKUI3.1组件样式自查
  * 其他更改说明 : 无
  * 其他改动影响域 : 无

 -- jishengjie <jishengjie@kylinos.cn>  Mon, 22 Nov 2021 00:00:00 +0800

kylin-calculator (1.1.0~rc3) v101; urgency=medium

  * BUG号 : 无
  * 需求号 : 61036 子 【SP2】各组件藏文翻译导入 / 【SP2】各组件藏文翻译导入----kylin-calculator
  * 其他更改说明 : 无
  * 其他改动影响域 : 无

 -- jishengjie <jishengjie@kylinos.cn>  Fri, 19 Nov 2021 00:00:00 +0800

kylin-calculator (1.1.0~rc2) v101; urgency=medium

  * BUG号 : 无
  * 需求号 : 无
  * 其他更改说明 : 删除藏文翻译文件 , 解决SP2集成藏文包冲突问题
  * 其他改动影响域 : 无

 -- jishengjie <jishengjie@kylinos.cn>  Tue, 02 Nov 2021 00:00:00 +0800

kylin-calculator (1.1.0~rc1) v101; urgency=medium

  * BUG号 : 77058 【计算器】计算器科学模式下，无法直接输入负数，建议增加
  * 需求号 : 58646 【麒麟计算器】科学计算器-编程器需求
  * 其他更改说明 : 无
  * 其他改动影响域 : 无

 -- jishengjie <jishengjie@kylinos.cn>  Mon, 01 Nov 2021 00:00:00 +0800

kylin-calculator (1.0.31kord29) v101; urgency=medium

  * BUG号 : (intel BUG) 76473 【平板】【计算器】【应用】打开计算器后，标准模式界面两侧出现遮挡，没有小窗口居中，且周围没有毛玻璃显示(必现)
  * 需求号 : 无
  * 其他更改说明 : 无
  * 其他改动影响域 : 无

 -- jishengjie <jishengjie@kylinos.cn>  Thu, 28 Oct 2021 00:00:00 +0800

kylin-calculator (1.0.31kord28) v101; urgency=medium

  * BUG号 : 77058 【计算器】计算器科学模式下，无法直接输入负数，建议增加
  * 需求号 : 无
  * 其他更改说明 : 新增程序员模式
  * 其他改动影响域 : 程序员模式全部功能 , 主界面显示 , 模式转换

 -- jishengjie <jishengjie@kylinos.cn>  Thu, 21 Oct 2021 00:00:00 +0800

kylin-calculator (1.0.31kord27) v101; urgency=medium

  * BUG号 : (intel bug)74248 【平板】【计算器】【应用】打开计算器后，界面右上角的最大化/最小化/关闭按钮没有默认隐藏
            (intel bug)82996 【计算器】【应用】系统主题设为深色模式后，打开计算器应用，界面右上角的最大化、最小化、关闭等功能按钮显示不清楚（必现）
  * 任务号 : 无
  * 需求号 : 无
  * 其他改动说明 : 无

 -- jishengjie <jishengjie@kylinos.cn>  Wed, 13 Oct 2021 00:00:00 +0800

kylin-calculator (1.0.31kord26) v101; urgency=medium

  * BUG号 : (intel bug)83460 【计算器】【平板模式】【小插件】在小插件窗口中，计算器与其他插件进行切换时，或者进入小插件窗口-计算器界面后，会存在内存泄露，终端显示peony-qt-deskto值为98%左右（必现）
            (intel bug)82800 【计算器】【小插件】PC模式下，计算器窗口左上角的“标准”文字没有显示完整（必现）
            (intel bug)83014 【计算器】点击窗口左上角的“标准”或“科学”按钮，此时应用按钮背景色为蓝色，不是橘色；弹出的列表中显示有小方框，与UI不符，鼠标悬浮于各项上方时底色为蓝色，点击小方框后颜色显示为蓝色，不是橘色（必现）
            (intel bug)82797 【计算器】【小插件】PC和平板模式下，鼠标悬浮在计算器界面左上角的功能按钮上方，功能按钮背景底色没有显示为白色（必现）
  * 任务号 : 无
  * 需求号 : 无
  * 其他改动说明 : 无

 -- jishengjie <jishengjie@kylinos.cn>  Sat, 09 Oct 2021 00:00:00 +0800

kylin-calculator (1.0.31kord25) v101; urgency=medium

  * BUG号 : 81905 【计算器】汇率 模式下，从计算器外部复制的整数粘贴进计算器页面，汇率计算结果显示区域出现所复制数据
            (intel bug)80855 【计算器】【小插件】输入框背景色为黑色，输入的数字无法看清； 鼠标悬浮在计算器界面左上角的功能按钮上方，功能按钮背景底色仍显示为黑色；黑线显示的                        太明显，与UI不符（必现）
            (intel bug)80724 【计算器】小插件窗口中的计算器界面四角为直角，不是圆弧形（必现）
            (intel bug)79793 【计算器】平板模式下，点击侧边栏-平板模式按钮后，小插件计算器窗口上方的输入框背景显示为黑色，输入的数字无法看清楚（必现）
            (intel bug)79760 【计算器】【小插件】窗口左上角“标准”显示为英文，点击后列表中的“科学”和“标准”也都显示为英文（必现）
            (intel bug)79757 【计算器】【平板】点击小插件窗口左上方列表中的“科学”按钮后，桌面未出现计算器应用的科学模式窗口（必现）
            (intel bug)76473 【平板】【计算器】【应用】打开计算器后，标准模式界面两侧出现遮挡，没有小窗口居中，且周围没有毛玻璃显示(必现)
  * 任务号 : 无
  * 需求号 : 无
  * 其他改动说明 : 无

 -- jishengjie <jishengjie@kylinos.cn>  Sat, 18 Sep 2021 00:00:00 +0800

kylin-calculator (1.0.31kord24) v101; urgency=medium

  * BUG号 : 79197 【计算器】进行运算后，无法用快捷键对计算器结果进行复制和粘贴。
  * 任务号 : 无
  * 需求号 : 无
  * 其他改动说明 : 无

 -- jishengjie <jishengjie@kylinos.cn>  Mon, 13 Sep 2021 00:00:00 +0800

kylin-calculator (1.0.31kord23) v101; urgency=medium

  * BUG号 : 77263 【计算器】关于界面没有软件介绍
            77016 【计算器】将计算器窗口拖拽至桌面上边沿时计算器页面最大化显示
            76600 【计算器】【3a5000】界面异常，多出一行标题栏，复现率17/20
            76264 【计算器】偶现计算器应用有两行标题栏的界面
  * 任务号 : 无
  * 需求号 : 无
  * 其他改动说明 : 无

 -- jishengjie <jishengjie@kylinos.cn>  Wed, 1 Sep 2021 00:00:00 +0800

kylin-calculator (1.0.31kord22) v101; urgency=medium

  * BUG号 : 76315 【计算器】关于窗口未固定大小
            75605 【华为反馈|计算器】计算器自然常数e的值和π值显示错误
  * 任务号 : 无
  * 需求号 : 无
  * 其他改动说明 : 无

 -- jishengjie <jishengjie@kylinos.cn>  Mon, 30 Aug 2021 00:00:00 +0800

kylin-calculator (1.0.31kord21) v101; urgency=medium

  * BUG号 : 无
  * 任务号 : 无
  * 需求号 : 无
  * 其他改动说明：适配 intel 小插件 , intel 平板模式

 -- jishengjie <jishengjie@kylinos.cn>  Thu, 26 Aug 2021 00:00:00 +0800

kylin-calculator (1.0.31kord20) v101; urgency=medium

  * BUG号 : 33471 【麒麟计算器】将计算器模式切换至科学计算模式时，窗口未默认显示在屏幕中央位置
  * 任务号 : 无
  * 需求号 : 无
  * 其他改动说明：无

 -- jishengjie <jishengjie@kylinos.cn>  Tue, 24 Aug 2021 00:00:00 +0800

kylin-calculator (1.0.31kord19) v101; urgency=medium

  * BUG号 : (intel 版本BUG) 73899 【计算器】【应用】科学模式下的计算器应用在桌面的显示并非处于屏幕中间位置，而是略偏右
            (intel 版本BUG) 73896 【计算器】【应用】计算器应用分别显示为标准模式和科学模式时，界面显示都与UI不符
            (intel 版本BUG) 73883 【计算器】【应用】点击开始菜单按钮-计算器应用图标，应用界面默认显示为标准模式，而不是科学模式
            (intel 版本BUG) 73872 【计算器】【应用】标准模式下的计算器应用在桌面的显示并非处于屏幕中间位置，而是略偏左
            (intel 版本BUG) 73905 【计算器】【应用】应用打开后显示在桌面上，输入区域与数字区域颜色相同，且输入区域没有毛玻璃效果，手指点击桌面空白位置处后，输入区域与数字区域的颜色才会不同
  * 任务号 : 无
  * 需求号 : 无
  * 其他改动说明：无

 -- jishengjie <jishengjie@kylinos.cn>  Wed, 18 Aug 2021 09:08:20 +0800

kylin-calculator (1.0.31kord18) v101; urgency=medium

  * BUG号 : 72073 【麒麟计算器】汇率模式-输入1除以0等于后，计算器闪退
            72828 【计算器】按键5不起作用
  * 任务号 : 无
  * 需求号 : 无
  * 其他改动说明：无

 -- jishengjie <jishengjie@kylinos.cn>  Fri, 13 Aug 2021 09:08:20 +0800

kylin-calculator (1.0.31kord17) v101; urgency=medium

  * BUG号：无
  * 任务号：43294 【EDU V2.0】【计算器】UI界面优化
  * 需求号：7227 【计算器】UI界面优化 
  * 其他改动说明：无

 -- jishengjie <jishengjie@kylinos.cn>  Mon, 09 Aug 2021 09:08:20 +0800

kylin-calculator (1.0.31kord16) v101; urgency=medium

  * BUG号：69563
  * 任务号：无.
  * 需求号：无.
  * 其他改动说明：
    - 【创新院】【计算器】使用计算器科学模式，输入“（—”后输入一个数字，应用自动闪退

 -- jiangdingyuan <jiangdingyuan@kylinos.cn>  Tue, 27 Jul 2021 09:08:20 +0800

kylin-calculator (1.0.31kord15) v101; urgency=medium

  * BUG号：60053, 60063.
  * 任务号：无.
  * 需求号：无.
  * 其他改动说明：
    - 解决键盘输入一位数，界面显示两位数的问题.

 -- caoliang <caoliang@kylinos.cn>  Fri, 11 Jun 2021 09:08:20 +0800

kylin-calculator (1.0.31kord14) v101; urgency=medium

  * BUG号：57818, 57815.
  * 任务号：无.
  * 需求号：无.
  * 其他改动说明：
    - 添加复制粘贴的翻译.

 -- caoliang <caoliang@kylinos.cn>  Wed, 26 May 2021 13:37:44 +0800

kylin-calculator (1.0.31kord13) v101; urgency=medium

  * BUG号：无.
  * 任务号：无.
  * 需求号：无.
  * 其他改动说明：
    - 优化n次方/n次方根计算流程:禁止多次连续点击n次方/n次方根连续点击操作

 -- jiangdingyuan <jiangdingyuan@kylinos.cn>  Wed, 19 May 2021 13:37:39 +0800

kylin-calculator (1.0.31kord12) v101; urgency=medium

  * BUG号：无.
  * 任务号：29433, 25409.
  * 需求号：无.
  * 其他改动说明：
    - 应用图标跟随图标主题变化.
    - 新增复制粘贴功能.

 -- caoliang <caoliang@kylinos.cn>  Fri, 14 May 2021 17:17:34 +0800

kylin-calculator (1.0.31kord11) v101; urgency=medium

  * BUG号：无.
  * 需求号：无.
  * 其他改动说明：
    - 对最小化后再次启动应用时拉起主界面的机制进行优化.
    - 根据规范修改changelog.
  * 影响域：无.

 -- caoliang <caoliang@kylinos.cn>  Fri, 23 Apr 2021 09:31:59 +0800

kylin-calculator (1.0.31kord10) v101; urgency=medium

  * BUG号：49255.
  * 需求号：无.
  * 其他改动说明：
    - 解决禅道bug#49255 : 打开窗体未置顶显示.
    - 创建DBus服务，最小化后再次启动应用时拉起主界面.

 -- caoliang <caoliang@kylinos.cn>  Mon, 19 Apr 2021 17:06:06 +0800

kylin-calculator (1.0.31kord9) v101; urgency=medium

  * BUG号：无.
  * 需求号：25395.
  * 其他改动说明：
    - 添加新版日志
    - 修复一个debug模式发现的段错误

 -- jiangdingyuan <jiangdingyuan@kylinos.cn>  Mon, 19 Apr 2021 16:36:14 +0800

kylin-calculator (1.0.31kord8) v101; urgency=medium

  * BUG号：无.
  * 需求号：26485.
  * 其他改动说明：
    - 根据新版设计稿修改应用名称
    - 麒麟计算器         --> 计算器
    - kylin-calculator --> Calculator
    - kylin calculator --> Calculator

 -- jiangdingyuan <jiangdingyuan@kylinos.cn>  Fri, 16 Apr 2021 10:57:24 +0800

kylin-calculator (1.0.31kord7) v101; urgency=medium

  * 解决禅道bug #34897 : 【麒麟计算器】汇率模式输入过多位数转换时，计算器窗口太小，导致内容显示不全.
  * 解决禅道bug #44911 : 【麒麟计算器】标准计算器计算结果有多位小数时显示不全.
  * 输入过长时字号变小，删除或清除时字号变大.

 -- caoliang <caoliang@kylinos.cn>  Thu, 01 Apr 2021 11:42:57 +0800

kylin-calculator (1.0.31kord6) v101; urgency=medium

  * 解决禅道bug # 45498 【麒麟计算器】当计算结果出现科学计数法时，连续点击退格键计算器闪退 
  * 解决禅道bug # 45469 【麒麟计算器】当计算结果出现科学计数法的时候，e的指数为10的倍数时计算结果错误 

 -- jiangdingyuan <jiangdingyuan@kylinos.cn>  Tue, 30 Mar 2021 09:47:08 +0800

kylin-calculator (1.0.31kord5) v101; urgency=medium

  * 解决禅道bug #43104 : 【麒麟计算器】点击关于按钮，软件闪退.
  * 添加打印日志文件.

 -- caoliang <caoliang@kylinos.cn>  Wed, 17 Mar 2021 14:35:17 +0800

kylin-calculator (1.0.31kord4) v101; urgency=medium

  * 解决禅道bug #40286 : 【麒麟计算器】计算汇率时删除部分输入的数值，汇率计算错误.
  * 对阶乘的错误计算进行处理.
  * 修复科学模式三角函数按钮和角度弧度按钮的显示逻辑.

 -- caoliang <caoliang@kylinos.cn>  Mon, 15 Mar 2021 09:47:47 +0800

kylin-calculator (1.0.31kord3) v101; urgency=medium

  * 解决禅道bug #38016 : 【计算器】输入小数时，小数位无法输入‘00’，点击就报错.
  * 解决禅道bug #42436 : 【麒麟计算器】科学模式下，小括号无法用键盘输入.
  * 修复货币选择框显示逻辑.
  * 更新汇率筛选逻辑.

 -- caoliang <caoliang@kylinos.cn>  Thu, 11 Mar 2021 19:49:03 +0800

kylin-calculator (1.0.31kord2) v101; urgency=medium

  * 解决禅道bug #40251 : 【麒麟计算器】英文模式下，汇率计算模式存在字体显示不全.
  * 界面背景色以及按钮悬浮效果适配主题框架.
  * 使用系统图标库中的应用图标.

 -- caoliang <caoliang@kylinos.cn>  Tue, 09 Mar 2021 13:40:40 +0800

kylin-calculator (1.0.31kord1) v101; urgency=medium

  * 解决禅道bug #40468 : 【麒麟计算器】使用汇率模式，切换夜间模式，再切换其他计算模式【科学】【标准】，键盘显示异常.
  * 解决禅道bug #40475 : 【麒麟计算器】汇率计算器，点击刷新按钮，没有任何回馈或者动效效果.
  * 解决禅道bug #41107 : 【麒麟计算器】关于中，邮箱前文字建议修改为“服务与支持团队”.

 -- caoliang <caoliang@kylinos.cn>  Thu, 04 Mar 2021 09:16:52 +0800

kylin-calculator (1.0.31kord) v101; urgency=medium

  [ Jiang Dingyuan ]
  * 关于窗口优化：添加模态，设置图标，添加超链接,添加悬浮提示
  * MainWindow添加单例
  * 删除翻译生成的qm文件 添加生成qm文件脚本
  * 实现需求 #4419：点击“=”后显示结果为数字不变，多次连续点击“=”只读取一次点击，其他视为无效点击。

 -- jiangdingyuan <jiangdingyuan@kylinos.cn>  Wed, 27 Jan 2021 18:47:16 +0800

kylin-calculator (1.0.30kord1~rc1) v101; urgency=medium

  * 解决禅道bug #27658 : 【麒麟计算器】汇率模式下货币切换导致历史记录显示异常.
  * 解决禅道bug #27661 : 【麒麟计算器】汇率模式未记住货币种类.
  * 解决禅道bug #32782 : 【麒麟计算器】模式切换后，历史记录显示异常.
  * 解决禅道bug #33471 : 【麒麟计算器】切换科学模式，未默认显示到屏幕中央位置.
  * 解决禅道bug #35353 : 【麒麟计算器】统一开始菜单图标和任务栏图标.

 -- caoliang <caoliang@kylinos.cn>  Tue, 26 Jan 2021 15:44:34 +0800

kylin-calculator (1.0.30kord) v101; urgency=medium

  * 解决禅道bug #32760【麒麟计算器】鼠标按住计算器窗口靠近边沿位置无法拖动窗口

 -- jiangdingyuan <jiangdingyuan@kylinos.cn>  Sat, 23 Jan 2021 17:39:11 +0800

kylin-calculator (1.0.29kord) v101; urgency=medium

  * 注释调试代码
  * 关于菜单细节调整

 -- jiangdingyuan <jiangdingyuan@kylinos.cn>  Sat, 16 Jan 2021 09:29:00 +0800

kylin-calculator (1.0.28kord) v101; urgency=medium

  * 解决禅道bug #33043 : 【麒麟计算器】汇率模式点击"00"没有反应.
  * 修改应用英文名和应用类别.

 -- caoliang <caoliang@kylinos.cn>  Fri, 15 Jan 2021 13:38:42 +0800

kylin-calculator (1.0.27kord) v101; urgency=medium

  * 解决禅道bug #31985 【麒麟计算器】科学计算模式下点击Rad后按钮变白
  * 解决禅道bug #32052 【麒麟计算器】汇率计算器界面显示异常
  * 解决禅道bug #32764 【麒麟计算器】深色模式下，汇率更新按钮显示不清晰
  * 解决禅道bug #32767 【麒麟计算器】货币子窗口不跟随主题颜色变色

 -- caoliang <caoliang@kylinos.cn>  Tue, 12 Jan 2021 10:08:50 +0800

kylin-calculator (1.0.26kord) v101; urgency=medium

  * 修复翻译导致的切换bug

 -- jiangdingyuan <jiangdingyuan@kylinos.cn>  Sat, 09 Jan 2021 09:04:27 +0800

kylin-calculator (1.0.25kord) v101; urgency=medium

  * 修复关于信息
  * 解决禅道bug #29272 【麒麟计算器】应用默认背景为黑色(深色）主题，与其他应用主题风格不协调

 -- jiangdingyuan <jiangdingyuan@kylinos.cn>  Fri, 08 Jan 2021 15:53:15 +0800

kylin-calculator (1.0.24kord) v101; urgency=medium

  * 修复界面bug， 适配黑色主题三联按钮

 -- jiangdingyuan <jiangdingyuan@kylinos.cn>  Fri, 08 Jan 2021 14:55:15 +0800

kylin-calculator (1.0.23kord) v101; urgency=medium

  *  解决禅道bug #30276 【麒麟计算器】输入小数点前等于或超过两位数的数字进行计算时结果显示“输入错误”

 -- jiangdingyuan <jiangdingyuan@kylinos.cn>  Tue, 29 Dec 2020 09:31:14 +0800

kylin-calculator (1.0.22kord) v101; urgency=medium

  * 适配主题颜色和三联按钮样式

 -- caoliang <caoliang@kylinos.cn>  Fri, 25 Dec 2020 15:44:05 +0800

kylin-calculator (1.0.21kord) v101; urgency=medium

  * 适配4K屏和三联按钮样式

 -- caoliang <caoliang@kylinos.cn>  Sat, 19 Dec 2020 15:44:05 +0800

kylin-calculator (1.0.20kord) v101; urgency=medium

  * 更新qmake 修正qt版本判断系统

 -- jiangdingyuan <jiangdingyuan@kylinos.cn>  Mon, 14 Dec 2020 20:58:05 +0800

kylin-calculator (1.0.19kord) v101; urgency=medium

  * 更新qmake 改用qt版本判断系统

 -- jiangdingyuan <jiangdingyuan@kylinos.cn>  Sat, 05 Dec 2020 11:23:10 +0800

kylin-calculator (1.0.18kord) v101; urgency=medium

  * 更新qmake 解决v10.1 优麒麟窗管适配问题

 -- jiangdingyuan <jiangdingyuan@kylinos.cn>  Fri, 04 Dec 2020 20:19:04 +0800

kylin-calculator (1.0.17kord) v101; urgency=medium

  * 更新翻译文件
  * 更新运算逻辑
  * 解决禅道bug #27184: 【麒麟计算器】【汇率模式】计算负数时闪退
  * 解决禅道bug #27174: 【麒麟计算器】科学模式下运算三角函数和对数函数失败
  * 解决禅道bug #26792: 【麒麟计算器】无法输入整数位只有一位，且小数位第一位为0的数字进行计算
  * 解决禅道bug #26294: 【麒麟计算器】标准模式下，在原有结果为0时输入“00”、然后输入任意运算符再输入任意数字，计算器闪退
  * 解决禅道bug #26274: 【麒麟计算器】输入数字后输入多个百分号计算时结果显示为0
  * 解决禅道bug #26261: 【麒麟计算器】当输入错误算式或数字后点击等于时，历史记录中会自动添加一条历史记录中的最后一条
  * 解决禅道bug #25937: 【麒麟计算器】点击x!两次，麒麟计算器应用退出
  * 解决禅道bug #24114: 【麒麟计算器】点击pi和e显示异常
  * 解决禅道bug #24093: 【麒麟计算器】科学模式下，pi和e的值显示异常
  * 解决禅道bug #24088: 【麒麟计算器】0/0结果显示为nan
  * 解决禅道bug #24087: 【麒麟计算器】除零结果显示为inf

 -- jiangdingyuan <jiangdingyuan@kylinos.cn>  Wed, 02 Dec 2020 17:05:05 +0800

kylin-calculator (1.0.16kord) v101; urgency=medium

  * 解决禅道bug #20517 : 按F1不能唤出用户手册，亦无帮助按钮可跳转到用户手册.
  * 解决标题栏图标显示问题.

 -- caoliang <caoliang@kylinos.cn>  Sat, 28 Nov 2020 13:41:01 +0800

kylin-calculator (1.0.15kord) v101; urgency=medium

  * 适配v10主题图标.

 -- jiangdingyuan <jiangdingyuan@kylinos.cn>  Fri, 27 Nov 2020 11:08:01 +0800

kylin-calculator (1.0.14kord) v101; urgency=medium

  * 适配窗口管理器圆角阴影.

 -- caoliang <caoliang@kylinos.cn>  Thu, 26 Nov 2020 19:25:35 +0800

kylin-calculator (1.0.13kord) v101; urgency=medium

  * 适配自定义标题栏窗口三联按钮.

 -- caoliang <caoliang@kylinos.cn>  Wed, 25 Nov 2020 20:25:35 +0800

kylin-calculator (1.0.12kord) v101; urgency=medium

  * 生成ts和qm文件.

 -- caoliang <caoliang@kylinos.cn>  Mon, 23 Nov 2020 09:25:35 +0800

kylin-calculator (1.0.11kord) v101; urgency=medium

  * 适配desktop文件藏语翻译.

 -- caoliang <caoliang@kylinos.cn>  Thu, 19 Nov 2020 14:25:35 +0800

kylin-calculator (1.0.10kord) v101; urgency=medium

  * 解决禅道bug #24967 : 科学模式下，连续输入cos和！，计算器闪退

 -- jiangdingyuan <jiangdingyuan@kylinos.cn>  Sat, 14 Nov 2020 17:25:35 +0800

kylin-calculator (1.0.9kord) v101; urgency=medium

  * 解决禅道bug #25024 : 汇率模式下，历史记录过多时发生截断现象.
  * 解决禅道bug #25025 : 当前有历史记录的情况下，从其他模式切换到汇率模式，历史记录不显示.
  * 解决禅道bug #25027 : 除标准、科学、汇率模式外其他模式页面显示均为汇率模式.
  * 解决禅道bug #25018 : 科学计算模式下按键显示不一致.
  * 解决禅道bug #25017 : 汇率模式下历史记录显示异常.
  * 解决禅道bug #24990 : 科学计算模式中2nd按键无效.
  * 解决禅道bug #24964 : 科学计算模式中Rad按键无效.
  * 解决禅道bug #24841 : 计算器在fedoar平台编译时报错.

 -- caoliang <caoliang@kylinos.cn>  Fri, 13 Nov 2020 19:24:58 +0800

kylin-calculator (1.0.8kord) v101; urgency=medium

  * 解决禅道bug #24771 删除输入内容时计算器卡死

 -- jiangdingyuan <jiangdingyuan@kylinos.cn>  Thu, 12 Nov 2020 14:24:58 +0800

kylin-calculator (1.0.7kord) v101; urgency=medium

  * 修复计算器倒数运算闪退的bug.
  * 开发2nd按钮和Rad按钮功能，实现三角函数和反三角函数替换以及弧度角度替换.

 -- caoliang <caoliang@kylinos.cn>  Wed, 11 Nov 2020 18:40:40 +0800

kylin-calculator (1.0.6kord) v101; urgency=medium

  * 使用unitConvHistory函数将汇率换算模式下的历史记录转换为相应的历史记录.
  * 将计算器按钮显示替换为图片，使用重写的BasicButton进行实现.

 -- caoliang <caoliang@kylinos.cn>  Mon, 09 Nov 2020 13:40:40 +0800

kylin-calculator (1.0.5kord) v101; urgency=medium

  * 修复计算器闪退bug

 -- jiangdingyuan <jiangdingyuan@kylinos.cn>  Thu, 05 Nov 2020 18:57:05 +0800

kylin-calculator (1.0.4kord) v101; urgency=medium

  * 新增科学模式，汇率模式

 -- jiangdingyuan <jiangdingyuan@kylinos.cn>  Thu, 05 Nov 2020 13:42:43 +0800

kylin-calculator (1.0.3kord) v101; urgency=medium

  * 解决删除操作后出现历史记录不显示的问题.
  * 使用文件锁的方式添加单例模式.

 -- caoliang <caoliang@kylinos.cn>  Mon, 26 Oct 2020 15:30:00 +0800

kylin-calculator (1.0.2kord) v101; urgency=medium

  * 解决禅道bug20737 : 输入过长时只有一个逗号
  * 修复输入框进行自动换行，结果导致数据显示不全的问题
  * 修复因字体小大原因，导致边缘数字显示一半的问题

 -- fengyongfan <fengyongfan@kylinos.cn>  Wed, 30 Sep 2020 11:11:00 +0800

kylin-calculator (1.0.1kord) v101; urgency=medium

  * Initial release.
  * Finish standard calculate function.

 -- fengyongfan <fengyongfan@kylinos.cn>  Wed, 16 Sep 2020 15:06:06 +0800
